/*
 * @Author: Fly
 * @Date: 2025-12-10 14:17:13
 * @LastEditTime: 2025-12-22 16:33:04
 * @Description: 
 */
import request from '@/utils/request';



/**
 * 店铺获取补贴排队统计 (平台在线订单)
 * @param {*} query 
 * @returns 
 */
export function getOnlineOrderStatisticsApi(params) {
    return request({
        url: '/onlineorder/statistics',
        method: 'get',
        params
    })
}

/**
 * 平台在线订单 列表
 * @param {*} params 
 * @returns 
 */
export const getOnlineOrderPageApi = (params) => {
    return request({
        url: '/onlineorder/page',
        method: 'get',
        params
    });
};

/**
 * 获取在线订单详细信息
 * @param {*} params 
 * @returns 
 */
export const getOnlineOrderInfoApi = (orderId) => {
    return request({
        url: `/onlineorder/info/${orderId}`,
        method: 'get'
    });
};


/**
 * 在线退款订单构建
 * @param {*} params 
 * @returns 
 */
export const getOnlineOrderRefundInfoApi = (onlineOrderId) => {
    return request({
        url: `/onlinerefundorder/build/${onlineOrderId}`,
        method: 'get'
    });
};

/**
 * 平台导出在线订单列表
 */
export const exportOnlineOrderApi = "/onlineorder/export"



/**
 * 平台分页查询补贴排队列表 （平台）
 * @param {*} params 
 * @returns 
 */
export const getSubsidyQueuePageApi = (params) => {
    return request({
        url: '/subsidy/subsidyQueue/page',
        method: 'get',
        params
    });
};

/**
 * 平台获取补贴排队统计 (平台)
 * @param {*} query 
 * @returns 
 */
export function getSubsidyQueueStatisticsApi(params) {
    return request({
        url: '/subsidy/subsidyQueue/statistics',
        method: 'get',
        params
    })
}

/**
 * 获取补贴排队详细信息
 * @param {*} params 
 * @returns 
 */
export const getSubsidyQueueInfoApi = (queueId) => {
    return request({
        url: `/subsidy/subsidyQueue/info/${queueId}`,
        method: 'get'
    });
};


/**
 * 平台安排插队
 * @param {*} data 
 * @returns 
 */
export function addSubsidyCutInApi(data) {
    return request({
        url: '/subsidy/subsidyCutIn/cutIn',
        method: 'post',
        data
    })
}

/**
 * 平台取消排队
 * @param {*} data 
 * @returns 
 */
export function cancelSubsidyQueueApi(queueId) {
    return request({
        url: `/subsidy/subsidyQueue/cancel/${queueId}`,
        method: 'post'
    })
}

/**
 * 平台导出补贴排队列表
 */
export const exportSubsidyQueueApi = "/subsidy/subsidyQueue/export";

/**
 * 平台分页查询补贴插队列表 （平台）
 * @param {*} params 
 * @returns 
 */
export const getSubsidyCutInPageApi = (params) => {
    return request({
        url: '/subsidy/subsidyCutIn/page',
        method: 'get',
        params
    });
};

/**
 * 平台安排定额插队
 * @param {*} data 
 * @returns 
 */
export function addQuotaSubsidyCutInApi(data) {
    return request({
        url: `/subsidy/subsidyCutIn/fixedAmountCutIn`,
        method: 'post',
        data
    })
}




// ---------------------------- 商家 线下订单------------------------------

// 店铺获取补贴排队统计
export function getOnlineorderBusinessStatisticsApi(params) {
    return request({
        url: `/onlineorder/business-statistics`,
        method: 'get',
        params
    })
}

/**
 * 店铺分页查询在线订单列表
 * @param {Object} query - 查询参数
 * @returns {Promise} 补贴排队列表
 */
export function getOnlineorderBusinessPageApi(params) {
    return request({
        url: `/onlineorder/business-page`,
        method: 'get',
        params
    })
}

/**
 * 在线订单 - 退款
 * @param {Object} data - 退款参数
 * @returns {Promise} 退款结果
 */
export function OnlinerefundorderRefundApi(data) {
    return request({
        url: `/onlinerefundorder/refund`,
        method: 'post',
        data
    })
};

/**
 * 店铺导出在线订单列表
 */
export const exportBusinessOnlineOrderApi = "/onlineorder/business-export";





// ---------------------------- 商家 排队订单 ------------------------------

//商家获取补贴排队统计
export function getSubsidyQueueBusinessStatisticsApi(params) {
    return request({
        url: `/subsidy/subsidyQueue/business-statistics`,
        method: 'get',
        params
    })
}

/**
 * 店铺内分页查询补贴排队列表
 * @param {Object} query - 查询参数
 * @returns {Promise} 补贴排队列表
 */
export function getSubsidyQueueBusinessPageApi(params) {
    return request({
        url: `/subsidy/subsidyQueue/business-page`,
        method: 'get',
        params
    })
}

/**
 * 商家导出补贴排队列表
 */
export const exportBusinessSubsidyQueuerApi = "/subsidy/subsidyQueue/business-export";